﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing {
  public interface ISearchLogic {
    /// <summary>
    /// Return the indices of the missing values where the key 
    /// correspdonds to the variable name and the values to the row indices
    /// </summary>
    /// <returns></returns>
    IDictionary<string, IEnumerable<int>> GetMissingValueIndices();

    /// <summary>
    /// Return the row indices of the cells which contain a missing value
    /// </summary>
    /// <returns></returns>
    IEnumerable<int> GetMissingValueIndices(string variableName);

    bool IsMissingValue(string variableName, int rowIndex);
  }
}
